Lychee AILychee AI
AIモデルAPIVideosSora

動画の作成

OpenAI互換の動画生成インターフェース。

参考ドキュメント: https://platform.openai.com/docs/api-reference/videos/create

POST
/v1/videos

Authorization

BearerAuth

AuthorizationBearer <token>

Bearer Token認証を使用します。 形式: Authorization: Bearer sk-xxxxxx

In: header

Request Body

multipart/form-data

model?string

モデル/スタイル ID

prompt?string

テキスト説明プロンプト

image?string

画像入力(URLまたはBase64)

duration?number

ビデオ長さ(秒)

width?integer

ビデオ幅

height?integer

ビデオ高さ

fps?integer

ビデオフレームレート

seed?integer

ランダムシード

n?integer

ビデオ生成数

response_format?string

レスポンス形式

user?string

ユーザー識別子

metadata?

拡張パラメータ (negative_prompt、style、quality_level など)

Response Body

application/json

application/json

curl -X POST "https://lizh.ai/v1/videos"
{
  "id": "string",
  "object": "string",
  "model": "string",
  "status": "string",
  "progress": 0,
  "created_at": 0,
  "seconds": "string",
  "completed_at": 0,
  "expires_at": 0,
  "size": "string",
  "error": {
    "message": "string",
    "code": "string"
  },
  "metadata": {}
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

このガイドはいかがですか?

最終更新